Package wx :: Class NotebookPage

[frames | no frames]

## Type NotebookPage

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            NotebookPage

There is an old (and apparently unsolvable) bug when placing a window with a nonstandard background colour in a wx.Notebook on wxGTK1, as the notbooks's background colour would always be used when the window is refreshed. The solution is to place a panel in the notbook and the coloured window on the panel, sized to cover the panel. This simple class does that for you, just put an instance of this in the notebook and make your regular window a child of this one and it will handle the resize for you.

Method Summary
| `__init__(self, parent, id, pos, size, style, name)`
| `OnSize(self, evt)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net